Bug 1273353 (CVE-2015-8001, CVE-2015-8002, CVE-2015-8003, CVE-2015-8004, CVE-2015-8005, CVE-2015-8006, CVE-2015-8007, CVE-2015-8008, CVE-2015-8009) - CVE-2015-8001 CVE-2015-8002 CVE-2015-8003 CVE-2015-8004 CVE-2015-8005 CVE-2015-8006 CVE-2015-8007 CVE-2015-8008 CVE-2015-8009 mediawiki: multiple flaws fixed in 1.25.3, 1.24.4, and 1.23.11
Summary: CVE-2015-8001 CVE-2015-8002 CVE-2015-8003 CVE-2015-8004 CVE-2015-8005 CVE-201...
Status: CLOSED UPSTREAM
Alias: CVE-2015-8001, CVE-2015-8002, CVE-2015-8003, CVE-2015-8004, CVE-2015-8005, CVE-2015-8006, CVE-2015-8007, CVE-2015-8008, CVE-2015-8009
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151019,repor...
Keywords: Security
Depends On: 1273356 1273357
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 09:23 UTC by Martin Prpič
Modified: 2019-06-08 20:47 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:44:16 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-20 09:23:35 UTC
Several flaws were found in Mediawiki:

* Wikipedia user RobinHood70 reported that the API failed to correctly stop
adding new chunks to the upload when the reported size was exceeded,
allowing a malicious users to upload add an infinite number of chunks for a
single file upload.
<https://phabricator.wikimedia.org/T91203>

* Wikipedia user RobinHood70 also reported that a malicious user could
upload chunks of 1 byte for very large files, potentially creating a very
large number of files on the server's filesystem.
<https://phabricator.wikimedia.org/T91205>

* Internal review discovered that it is not possible to throttle file
uploads.
<https://phabricator.wikimedia.org/T91850>

* Internal review discovered a missing authorization check when removing
suppression from a revision. This allowed users with the 'viewsuppressed'
user right but not the appropriate 'suppressrevision' user right to
unsuppress revisions.
<https://phabricator.wikimedia.org/T95589>

* Richard Stanway from teamliquid.net reported that thumbnails of PNG files
generated with ImageMagick contained the local file path in the image
metadata.
<https://phabricator.wikimedia.org/T108616>

* Extension:PageTriage - MediaWiki user Grunny discovered a DOM-based XSS in
the way the extension handled page titles.
<https://phabricator.wikimedia.org/T111029>

* Extension:Echo - Internal review discovered that Echo could display
deleted
or suppressed usernames when the username was previously used to Thank
users.
<https://phabricator.wikimedia.org/T110553>

* Extension:OAuth - Wikipedia user Sitic discovered that the OAuth
extension did not correctly enforce the IP restrictions of a Consumer when
using previously negotiated credentials.
<https://phabricator.wikimedia.org/T103022>

* Extension:OAuth - Wikipedia user Sitic discovered that OAuth would accept
a valid signature from any Consumer when checking the authorization
signature. This allowed a registered Consumer who gained access to another
Consumer's users' access tokens and secrets to use those credentials.
<https://phabricator.wikimedia.org/T103023>

CVE request and original report:

http://seclists.org/oss-sec/2015/q4/104

Comment 1 Martin Prpič 2015-10-20 09:24:35 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1273356]
Affects: epel-all [bug 1273357]

Comment 2 Fedora Update System 2015-11-05 21:49:32 UTC
mediawiki-1.24.4-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-11-05 22:25:04 UTC
mediawiki-1.25.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-11-05 23:25:06 UTC
mediawiki-1.25.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-12-05 20:30:01 UTC
mediawiki123-1.23.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:44:16 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.